/*https://www.w3schools.com/css/css3_buttons.asp*/

button {
    display: inline-block;
    border-radius: 4px;
    background-color: #3557f4;
    border: none;
    color: #FFFFFF;
    text-align: center;
    font-size: 18px;
    padding: 10px;
    width: 100px;
    transition: all 0.5s;
    cursor: pointer;
    margin: 5px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19);
}
.fa-trash:hover {
    color: white;
    background: darkred;
    border-radius: 50px;
    padding: 2px;
    cursor: pointer;
}


.button-add {
    display: inline-block;
    padding: 15px;
    font-size: 40px;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    outline: none;
    color: #fff;
    background-color: #1387af;
    border: none;
    box-shadow: 0 9px #999;
    margin: 60px 60px;
    bottom:0;
    right:0;
    position: fixed;
    z-index: 1;
}
.button-add {
    /* Safari 3-4, iOS 1-3.2, Android 1.6- */
    -webkit-border-radius: 40px;
    /* Firefox 1-3.6 */
    -moz-border-radius: 40px;
    /* Opera 10.5, IE 9, Safari 5, Chrome, Firefox 4, iOS 4, Android 2.1+ */
    border-radius: 60px;

}
.button-add:hover {background-color: #3e8e41}

.button-add:active {
    background-color: #3e8e41;
    box-shadow: 0 5px #666;
    transform: translateY(4px);
}


.dark {
    background-color: #555555;
    color: white;
}

.green {
    background-color: #4CAF50;
    color: white;
}

.blue {
    background-color: #008CBA;
    color: white;
}

.red {
    background-color: #f44336;
    color: white;
}

.grey {
    background-color: #008CBA;
    color: white;
}

button span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
}

button span:after {
    content: '\00bb';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -15px;
    transition: 0.5s;
}

button span.x-anim:after {
    content: '\x';
}



button:hover span {
    padding-right: 25px;
}



button:hover span:after {
    opacity: 1;
    right: 0;
}


.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}


.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.onoff {

    margin-bottom: 10%;
    margin-top: -4%;
    margin-left: 50%;

}